Sonoma (MAXREFDES14#) Code Documentation V01.00 Isolated EMP (Energy Measurement Processor)

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Macros Pages
Macros | Functions | Variables
MAXREFDES14.c File Reference
`#include <stdio.h>`
`#include "xparameters.h"`
`#include "platform.h"`
`#include "menu.h"`
`#include "utilities.h"`
`#include "maximDeviceSpecificUtilities.h"`
`#include "MAXREFDES14.h"`

Go to the source code of this file.

## Macros
#define | MAJOR_REVISION 01
#define | MINOR_REVISION 00

## Functions
int | main ()
| Main() function for Analog Essentials example program.

## Variables
XGpio | g_xGpioSevenSegment
unsigned int | g_unSevenSegmentValue =0
char | g_sInputString [INPUT_STRING_MAX_SIZE]
XGpio | g_xGpioPmodPortA
XGpio | g_xGpioPmodPortB
XGpio | g_gpButtons
XGpio | g_xGpioLed
u8 | g_PmodPortMuxSettings =0

## Detailed Description

          Project: Sonoma (MAXREFDES14#)
         Filename: MAXREFDES14.c
      Description: This module contains the Main application for the
                   AVNET LX9 MicroBoard implementation of the MAXREFDES14
                   example program.

Revision History:
05-31-13 Rev 01.00 GL Initial Release

This code follows the following naming conventions.

char chPmodValue char (array) sPmodString[16] float fPmodValue int nPmodValue int (array) anPmodValue[16] u16 uPmodValue u8 uchPmodValue u8 (array) auchPmodBuffer[16] unsigned int unPmodValue int * punPmodValue

Definition in file MAXREFDES14.c.

## Macro Definition Documentation

#define MAJOR_REVISION 01

Definition at line 83 of file MAXREFDES14.c.

#define MINOR_REVISION 00

Definition at line 84 of file MAXREFDES14.c.

## Function Documentation

int main | ( |  | ) |

Main() function for Analog Essentials example program.

Details
  This function sets up and initializes the FPGA and hardware, displays the root menu via Hyperterminal, then dispatches inidividual demo programs for specific module based on user's keypress selection.

Parameters

  None |

Return values

  Always | TRUE

Definition at line 97 of file MAXREFDES14.c.

## Variable Documentation

XGpio g_gpButtons

Definition at line 93 of file MAXREFDES14.c.

u8 g_PmodPortMuxSettings =0

Definition at line 95 of file MAXREFDES14.c.

char g_sInputString[INPUT_STRING_MAX_SIZE]

Definition at line 89 of file MAXREFDES14.c.

unsigned int g_unSevenSegmentValue =0

Definition at line 88 of file MAXREFDES14.c.

XGpio g_xGpioLed

Definition at line 94 of file MAXREFDES14.c.

XGpio g_xGpioPmodPortA

Definition at line 90 of file MAXREFDES14.c.

XGpio g_xGpioPmodPortB

Definition at line 91 of file MAXREFDES14.c.

XGpio g_xGpioSevenSegment

Definition at line 87 of file MAXREFDES14.c.